Subject: bug#8498: 23.3; mail-abbrev-next-line expands abbrevs when it should not

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 19:00:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> "David J. Biesack" <[email-masked]> writes:
>
>> In rmail, reply to a message. In my case, the From: line in the
>> *mail to...** buffer is formatted as:
>>
>> From: [email-masked] (David J. Biesack)
>>
>> (In my case, mail-from-style is 'parens ; user-full-name is "David
>> J. Biesack" )
>>
>> Position point at the end of the From: line formatted as above.
>> Press C-n which is bound to mail-abbrev-next-line 
>>
>> If the text before the close parentheses ("Biesack" in this case) is also a
>> defined mail abbrev (i.e. in my ~/.mailrc file) such as 
>>
>>   alias biesack [email-masked]
>>
>> then mail-abbrev-next-line will expand that name, yielding:
>>
>> From: [email-masked] (David J. [email-masked])
>
> It's unfortunately been over eight years since you sent this bug report,
> but you didn't get a response at the time.
>
> I've tried reproducing this in Emacs 27, but I'm unable to.  Looking at
> the code, it does look like it's been changed quite a bit in the
> intervening years -- do you still see this bug?

The email bounced, and since I'm unable to reproduce it, I'm closing
this bug report.  If somebody else can reproduce it, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no